
# Error

### Description

Represents an error encountered during a request to the Connect API.

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**category** | [**CategoryEnum**](#CategoryEnum) | The error&#39;s high-level category. See [ErrorCategory](#type-errorcategory) for possible values | 
**code** | [**CodeEnum**](#CodeEnum) | The error&#39;s specific code. See [ErrorCode](#type-errorcode) for possible values | 
**detail** | **String** | A human-readable description of the error for debugging purposes. |  [optional]
**field** | **String** | The name of the field provided in the original request that the error pertains to, if any. |  [optional]


<a name="CategoryEnum"></a>
## Enum: CategoryEnum
Name | Value
---- | -----
API_ERROR | &quot;API_ERROR&quot;
AUTHENTICATION_ERROR | &quot;AUTHENTICATION_ERROR&quot;
INVALID_REQUEST_ERROR | &quot;INVALID_REQUEST_ERROR&quot;
RATE_LIMIT_ERROR | &quot;RATE_LIMIT_ERROR&quot;
PAYMENT_METHOD_ERROR | &quot;PAYMENT_METHOD_ERROR&quot;
REFUND_ERROR | &quot;REFUND_ERROR&quot;


<a name="CodeEnum"></a>
## Enum: CodeEnum
Name | Value
---- | -----
INTERNAL_SERVER_ERROR | &quot;INTERNAL_SERVER_ERROR&quot;
UNAUTHORIZED | &quot;UNAUTHORIZED&quot;
ACCESS_TOKEN_EXPIRED | &quot;ACCESS_TOKEN_EXPIRED&quot;
ACCESS_TOKEN_REVOKED | &quot;ACCESS_TOKEN_REVOKED&quot;
FORBIDDEN | &quot;FORBIDDEN&quot;
INSUFFICIENT_SCOPES | &quot;INSUFFICIENT_SCOPES&quot;
APPLICATION_DISABLED | &quot;APPLICATION_DISABLED&quot;
V1_APPLICATION | &quot;V1_APPLICATION&quot;
V1_ACCESS_TOKEN | &quot;V1_ACCESS_TOKEN&quot;
CARD_PROCESSING_NOT_ENABLED | &quot;CARD_PROCESSING_NOT_ENABLED&quot;
BAD_REQUEST | &quot;BAD_REQUEST&quot;
MISSING_REQUIRED_PARAMETER | &quot;MISSING_REQUIRED_PARAMETER&quot;
INCORRECT_TYPE | &quot;INCORRECT_TYPE&quot;
INVALID_TIME | &quot;INVALID_TIME&quot;
INVALID_TIME_RANGE | &quot;INVALID_TIME_RANGE&quot;
INVALID_VALUE | &quot;INVALID_VALUE&quot;
INVALID_CURSOR | &quot;INVALID_CURSOR&quot;
UNKNOWN_QUERY_PARAMETER | &quot;UNKNOWN_QUERY_PARAMETER&quot;
CONFLICTING_PARAMETERS | &quot;CONFLICTING_PARAMETERS&quot;
EXPECTED_JSON_BODY | &quot;EXPECTED_JSON_BODY&quot;
INVALID_SORT_ORDER | &quot;INVALID_SORT_ORDER&quot;
VALUE_REGEX_MISMATCH | &quot;VALUE_REGEX_MISMATCH&quot;
VALUE_TOO_SHORT | &quot;VALUE_TOO_SHORT&quot;
VALUE_TOO_LONG | &quot;VALUE_TOO_LONG&quot;
VALUE_TOO_LOW | &quot;VALUE_TOO_LOW&quot;
VALUE_TOO_HIGH | &quot;VALUE_TOO_HIGH&quot;
VALUE_EMPTY | &quot;VALUE_EMPTY&quot;
ARRAY_LENGTH_TOO_LONG | &quot;ARRAY_LENGTH_TOO_LONG&quot;
ARRAY_LENGTH_TOO_SHORT | &quot;ARRAY_LENGTH_TOO_SHORT&quot;
ARRAY_EMPTY | &quot;ARRAY_EMPTY&quot;
EXPECTED_BOOLEAN | &quot;EXPECTED_BOOLEAN&quot;
EXPECTED_INTEGER | &quot;EXPECTED_INTEGER&quot;
EXPECTED_FLOAT | &quot;EXPECTED_FLOAT&quot;
EXPECTED_STRING | &quot;EXPECTED_STRING&quot;
EXPECTED_OBJECT | &quot;EXPECTED_OBJECT&quot;
EXPECTED_ARRAY | &quot;EXPECTED_ARRAY&quot;
EXPECTED_MAP | &quot;EXPECTED_MAP&quot;
EXPECTED_BASE64_ENCODED_BYTE_ARRAY | &quot;EXPECTED_BASE64_ENCODED_BYTE_ARRAY&quot;
INVALID_ARRAY_VALUE | &quot;INVALID_ARRAY_VALUE&quot;
INVALID_ENUM_VALUE | &quot;INVALID_ENUM_VALUE&quot;
INVALID_CONTENT_TYPE | &quot;INVALID_CONTENT_TYPE&quot;
INVALID_FORM_VALUE | &quot;INVALID_FORM_VALUE&quot;
ONE_INSTRUMENT_EXPECTED | &quot;ONE_INSTRUMENT_EXPECTED&quot;
NO_FIELDS_SET | &quot;NO_FIELDS_SET&quot;
DEPRECATED_FIELD_SET | &quot;DEPRECATED_FIELD_SET&quot;
CARD_EXPIRED | &quot;CARD_EXPIRED&quot;
INVALID_EXPIRATION | &quot;INVALID_EXPIRATION&quot;
INVALID_EXPIRATION_YEAR | &quot;INVALID_EXPIRATION_YEAR&quot;
INVALID_EXPIRATION_DATE | &quot;INVALID_EXPIRATION_DATE&quot;
UNSUPPORTED_CARD_BRAND | &quot;UNSUPPORTED_CARD_BRAND&quot;
UNSUPPORTED_ENTRY_METHOD | &quot;UNSUPPORTED_ENTRY_METHOD&quot;
INVALID_ENCRYPTED_CARD | &quot;INVALID_ENCRYPTED_CARD&quot;
INVALID_CARD | &quot;INVALID_CARD&quot;
DELAYED_TRANSACTION_EXPIRED | &quot;DELAYED_TRANSACTION_EXPIRED&quot;
DELAYED_TRANSACTION_CANCELED | &quot;DELAYED_TRANSACTION_CANCELED&quot;
DELAYED_TRANSACTION_CAPTURED | &quot;DELAYED_TRANSACTION_CAPTURED&quot;
DELAYED_TRANSACTION_FAILED | &quot;DELAYED_TRANSACTION_FAILED&quot;
CARD_TOKEN_EXPIRED | &quot;CARD_TOKEN_EXPIRED&quot;
CARD_TOKEN_USED | &quot;CARD_TOKEN_USED&quot;
AMOUNT_TOO_HIGH | &quot;AMOUNT_TOO_HIGH&quot;
UNSUPPORTED_INSTRUMENT_TYPE | &quot;UNSUPPORTED_INSTRUMENT_TYPE&quot;
REFUND_AMOUNT_INVALID | &quot;REFUND_AMOUNT_INVALID&quot;
REFUND_ALREADY_PENDING | &quot;REFUND_ALREADY_PENDING&quot;
PAYMENT_NOT_REFUNDABLE | &quot;PAYMENT_NOT_REFUNDABLE&quot;
INVALID_CARD_DATA | &quot;INVALID_CARD_DATA&quot;
LOCATION_MISMATCH | &quot;LOCATION_MISMATCH&quot;
IDEMPOTENCY_KEY_REUSED | &quot;IDEMPOTENCY_KEY_REUSED&quot;
UNEXPECTED_VALUE | &quot;UNEXPECTED_VALUE&quot;
SANDBOX_NOT_SUPPORTED | &quot;SANDBOX_NOT_SUPPORTED&quot;
INVALID_EMAIL_ADDRESS | &quot;INVALID_EMAIL_ADDRESS&quot;
INVALID_PHONE_NUMBER | &quot;INVALID_PHONE_NUMBER&quot;
CHECKOUT_EXPIRED | &quot;CHECKOUT_EXPIRED&quot;
BAD_CERTIFICATE | &quot;BAD_CERTIFICATE&quot;
INVALID_SQUARE_VERSION_FORMAT | &quot;INVALID_SQUARE_VERSION_FORMAT&quot;
API_VERSION_INCOMPATIBLE | &quot;API_VERSION_INCOMPATIBLE&quot;
CARD_DECLINED | &quot;CARD_DECLINED&quot;
VERIFY_CVV_FAILURE | &quot;VERIFY_CVV_FAILURE&quot;
VERIFY_AVS_FAILURE | &quot;VERIFY_AVS_FAILURE&quot;
CARD_DECLINED_CALL_ISSUER | &quot;CARD_DECLINED_CALL_ISSUER&quot;
NOT_FOUND | &quot;NOT_FOUND&quot;
APPLE_PAYMENT_PROCESSING_CERTIFICATE_HASH_NOT_FOUND | &quot;APPLE_PAYMENT_PROCESSING_CERTIFICATE_HASH_NOT_FOUND&quot;
METHOD_NOT_ALLOWED | &quot;METHOD_NOT_ALLOWED&quot;
NOT_ACCEPTABLE | &quot;NOT_ACCEPTABLE&quot;
REQUEST_TIMEOUT | &quot;REQUEST_TIMEOUT&quot;
CONFLICT | &quot;CONFLICT&quot;
REQUEST_ENTITY_TOO_LARGE | &quot;REQUEST_ENTITY_TOO_LARGE&quot;
UNSUPPORTED_MEDIA_TYPE | &quot;UNSUPPORTED_MEDIA_TYPE&quot;
RATE_LIMITED | &quot;RATE_LIMITED&quot;
NOT_IMPLEMENTED | &quot;NOT_IMPLEMENTED&quot;
SERVICE_UNAVAILABLE | &quot;SERVICE_UNAVAILABLE&quot;
GATEWAY_TIMEOUT | &quot;GATEWAY_TIMEOUT&quot;



