/*
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.squareup.connect.models;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.squareup.connect.models.SearchOrdersFilter;
import com.squareup.connect.models.SearchOrdersSort;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Contains query criteria for the search.
 */
@ApiModel(description = "Contains query criteria for the search.")

public class SearchOrdersQuery {
  @JsonProperty("filter")
  private SearchOrdersFilter filter = null;

  @JsonProperty("sort")
  private SearchOrdersSort sort = null;

  public SearchOrdersQuery filter(SearchOrdersFilter filter) {
    this.filter = filter;
    return this;
  }

   /**
   * Criteria to filter results by.
   * @return filter
  **/
  @ApiModelProperty(value = "Criteria to filter results by.")
  public SearchOrdersFilter getFilter() {
    return filter;
  }

  public void setFilter(SearchOrdersFilter filter) {
    this.filter = filter;
  }

  public SearchOrdersQuery sort(SearchOrdersSort sort) {
    this.sort = sort;
    return this;
  }

   /**
   * Criteria to sort results by.
   * @return sort
  **/
  @ApiModelProperty(value = "Criteria to sort results by.")
  public SearchOrdersSort getSort() {
    return sort;
  }

  public void setSort(SearchOrdersSort sort) {
    this.sort = sort;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SearchOrdersQuery searchOrdersQuery = (SearchOrdersQuery) o;
    return Objects.equals(this.filter, searchOrdersQuery.filter) &&
        Objects.equals(this.sort, searchOrdersQuery.sort);
  }

  @Override
  public int hashCode() {
    return Objects.hash(filter, sort);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SearchOrdersQuery {\n");
    
    sb.append("    filter: ").append(toIndentedString(filter)).append("\n");
    sb.append("    sort: ").append(toIndentedString(sort)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

