/*
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.squareup.connect.models;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;

/**
 * 
 */
@ApiModel(description = "")

public class UpdateItemTaxesRequest {
  @JsonProperty("item_ids")
  private List<String> itemIds = new ArrayList<String>();

  @JsonProperty("taxes_to_enable")
  private List<String> taxesToEnable = new ArrayList<String>();

  @JsonProperty("taxes_to_disable")
  private List<String> taxesToDisable = new ArrayList<String>();

  public UpdateItemTaxesRequest itemIds(List<String> itemIds) {
    this.itemIds = itemIds;
    return this;
  }

  public UpdateItemTaxesRequest addItemIdsItem(String itemIdsItem) {
    this.itemIds.add(itemIdsItem);
    return this;
  }

   /**
   * The [CatalogItem](#type-catalogitem)s whose enabled/disabled [CatalogTax](#type-catalogtax)es are being updated.
   * @return itemIds
  **/
  @ApiModelProperty(required = true, value = "The [CatalogItem](#type-catalogitem)s whose enabled/disabled [CatalogTax](#type-catalogtax)es are being updated.")
  public List<String> getItemIds() {
    return itemIds;
  }

  public void setItemIds(List<String> itemIds) {
    this.itemIds = itemIds;
  }

  public UpdateItemTaxesRequest taxesToEnable(List<String> taxesToEnable) {
    this.taxesToEnable = taxesToEnable;
    return this;
  }

  public UpdateItemTaxesRequest addTaxesToEnableItem(String taxesToEnableItem) {
    this.taxesToEnable.add(taxesToEnableItem);
    return this;
  }

   /**
   * The set of [CatalogTax](#type-catalogtax)es (referenced by ID) to enable for the [CatalogItem](#type-catalogitem).
   * @return taxesToEnable
  **/
  @ApiModelProperty(value = "The set of [CatalogTax](#type-catalogtax)es (referenced by ID) to enable for the [CatalogItem](#type-catalogitem).")
  public List<String> getTaxesToEnable() {
    return taxesToEnable;
  }

  public void setTaxesToEnable(List<String> taxesToEnable) {
    this.taxesToEnable = taxesToEnable;
  }

  public UpdateItemTaxesRequest taxesToDisable(List<String> taxesToDisable) {
    this.taxesToDisable = taxesToDisable;
    return this;
  }

  public UpdateItemTaxesRequest addTaxesToDisableItem(String taxesToDisableItem) {
    this.taxesToDisable.add(taxesToDisableItem);
    return this;
  }

   /**
   * The set of [CatalogTax](#type-catalogtax)es (referenced by ID) to disable for the [CatalogItem](#type-catalogitem).
   * @return taxesToDisable
  **/
  @ApiModelProperty(value = "The set of [CatalogTax](#type-catalogtax)es (referenced by ID) to disable for the [CatalogItem](#type-catalogitem).")
  public List<String> getTaxesToDisable() {
    return taxesToDisable;
  }

  public void setTaxesToDisable(List<String> taxesToDisable) {
    this.taxesToDisable = taxesToDisable;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpdateItemTaxesRequest updateItemTaxesRequest = (UpdateItemTaxesRequest) o;
    return Objects.equals(this.itemIds, updateItemTaxesRequest.itemIds) &&
        Objects.equals(this.taxesToEnable, updateItemTaxesRequest.taxesToEnable) &&
        Objects.equals(this.taxesToDisable, updateItemTaxesRequest.taxesToDisable);
  }

  @Override
  public int hashCode() {
    return Objects.hash(itemIds, taxesToEnable, taxesToDisable);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpdateItemTaxesRequest {\n");
    
    sb.append("    itemIds: ").append(toIndentedString(itemIds)).append("\n");
    sb.append("    taxesToEnable: ").append(toIndentedString(taxesToEnable)).append("\n");
    sb.append("    taxesToDisable: ").append(toIndentedString(taxesToDisable)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

